Bug 152647 - squid-2.5.STABLE9-1.FC3.4.x86_64.rpm is broken
squid-2.5.STABLE9-1.FC3.4.x86_64.rpm is broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-30 17:37 EST by Dan Hollis
Modified: 2014-08-31 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: squid-2.5.STABLE9-1.FC3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 15:20:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 2005-03-30 17:37:39 EST
Description of problem:
squid-2.5.STABLE9-1.FC3.4.x86_64.rpm is broken, child processes continually
abort with:

Mar 30 14:04:25 mihoshi squid[1119]: Squid Parent: child process 2605 started
Mar 30 14:04:56 mihoshi squid[1119]: Squid Parent: child process 2605 exited due
to signal 6
Mar 30 14:04:59 mihoshi squid[1119]: Squid Parent: child process 2615 started
Mar 30 14:17:18 mihoshi squid[1119]: Squid Parent: child process 2615 exited due
to signal 6
Mar 30 14:17:21 mihoshi squid[1119]: Squid Parent: child process 2811 started
Mar 30 14:17:23 mihoshi squid[1119]: Squid Parent: child process 2811 exited due
to signal 6
Mar 30 14:17:26 mihoshi squid[1119]: Squid Parent: child process 2821 started
Mar 30 14:17:29 mihoshi squid[1119]: Squid Parent: child process 2821 exited due
to signal 6


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
downgrading to squid-2.5.STABLE8-1.FC3.1.x86_64.rpm (21-Feb-2005) completely
fixes the problem. so squid-2.5.STABLE9-1.FC3.4.x86_64.rpm (29-Mar-2005) is
definitely broken.

i havent tested i386 yet to determine if its affected or not.
Comment 1 Patrick Boutilier 2005-03-31 12:22:31 EST
Are you using diskd instead of ufs (cache_dir) ?
Comment 2 Dan Hollis 2005-03-31 14:06:41 EST
yes indeed, diskd was broken somehow in a recent upgrade -- because
squid-2.5.STABLE8-1.FC3.1.x86_64.rpm also fails now with diskd. :-/

switching to ufs works...

what happened?
Comment 3 Jay Fenlason 2005-03-31 14:59:24 EST
Bummer.  There goes my theory that it was the -2GB patch that broke it.  Does 
diskd work in 2.5.STABLE7-1.FC3.1? 
Comment 4 Dan Hollis 2005-03-31 15:18:10 EST
give me a URL for 2.5.STABLE7-1.FC3.1 :-)

fwiw i'm also not running fc3 kernels, i'm running stock unpatched 2.6.8.1
kernel if that has anything to do with it.
Comment 5 James Wilson 2005-04-02 21:33:40 EST
This is also true for the starndard x86 Squid RPM.  It is fixed in the Fedora 
Core 4 Test 1 build:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/squid
-2.5.STABLE9-2.src.rpm

This is a know bug, viewing the cache.log will give you more information.

It has been reported and fixed here:

http://www.mail-archive.com/squid-users@squid-cache.org/msg27210.html

The error from my cache.log is as follows:

2005/04/03 10:10:02| Starting Squid Cache version 2.5.STABLE9 for i386-redhat-
linux-gnu...
2005/04/03 10:10:02| Process ID 24503
2005/04/03 10:10:02| With 1024 file descriptors available
2005/04/03 10:10:02| DNS Socket created at 0.0.0.0, port 50258, FD 5
2005/04/03 10:10:02| Adding nameserver 192.168.0.1 from /etc/resolv.conf
2005/04/03 10:10:02| Adding nameserver 192.231.203.132 from /etc/resolv.conf
2005/04/03 10:10:02| Adding nameserver 192.231.203.3 from /etc/resolv.conf
2005/04/03 10:10:02| User-Agent logging is disabled.
2005/04/03 10:10:02| Referer logging is disabled.
2005/04/03 10:10:02| Unlinkd pipe opened on FD 10
2005/04/03 10:10:02| Swap maxSize 870400 KB, estimated 66953 objects
2005/04/03 10:10:02| Target number of buckets: 3347
2005/04/03 10:10:02| Using 8192 Store buckets
2005/04/03 10:10:02| Max Mem  size: 131072 KB
2005/04/03 10:10:02| Max Swap size: 870400 KB
2005/04/03 10:10:02| Rebuilding storage in /var/spool/squid (DIRTY)
2005/04/03 10:10:02| Using Least Load store dir selection
2005/04/03 10:10:02| Set Current Directory to /var/spool/squid
2005/04/03 10:10:02| Loaded Icons.
2005/04/03 10:10:02| Accepting HTTP connections at 0.0.0.0, port 8080, FD 12.
2005/04/03 10:10:02| Accepting ICP messages at 0.0.0.0, port 3130, FD 14.
2005/04/03 10:10:02| Accepting SNMP messages on port 3401, FD 15.
2005/04/03 10:10:02| Outgoing SNMP messages on port 3401, FD 16.
2005/04/03 10:10:02| WCCP Disabled.
2005/04/03 10:10:02| Ready to serve requests.
2005/04/03 10:10:02| Store rebuilding is 14.5% complete
2005/04/03 10:10:03| Done reading /var/spool/squid swaplog (28188 entries)
2005/04/03 10:10:03| Finished rebuilding storage from disk.
2005/04/03 10:10:03|     28157 Entries scanned
2005/04/03 10:10:03|         0 Invalid entries.
2005/04/03 10:10:03|         0 With invalid flags.
2005/04/03 10:10:03|     28157 Objects loaded.
2005/04/03 10:10:03|         0 Objects expired.
2005/04/03 10:10:03|         0 Objects cancelled.
2005/04/03 10:10:03|        31 Duplicate URLs purged.
2005/04/03 10:10:03|         0 Swapfile clashes avoided.
2005/04/03 10:10:03|   Took 0.6 seconds (45292.4 objects/sec).
2005/04/03 10:10:03| Beginning Validation Procedure
2005/04/03 10:10:03|   Completed Validation Procedure
2005/04/03 10:10:03|   Validated 28126 Entries
2005/04/03 10:10:03|   store_swap_size = 782356k
2005/04/03 10:10:03| storeLateRelease: released 0 objects
2005/04/03 10:10:03| assertion failed: stmem.c:93: "current_offset == 
target_offset"
2005/04/03 10:10:06| Starting Squid Cache version 2.5.STABLE9 for i386-redhat-
linux-gnu...
2005/04/03 10:10:06| Process ID 24507
2005/04/03 10:10:06| With 1024 file descriptors available
2005/04/03 10:10:06| DNS Socket created at 0.0.0.0, port 50259, FD 5
2005/04/03 10:10:06| Adding nameserver 192.168.0.1 from /etc/resolv.conf
2005/04/03 10:10:06| Adding nameserver 192.231.203.132 from /etc/resolv.conf
2005/04/03 10:10:06| Adding nameserver 192.231.203.3 from /etc/resolv.conf
2005/04/03 10:10:06| User-Agent logging is disabled.
2005/04/03 10:10:06| Referer logging is disabled.
2005/04/03 10:10:06| Unlinkd pipe opened on FD 10
2005/04/03 10:10:06| Swap maxSize 870400 KB, estimated 66953 objects
2005/04/03 10:10:06| Target number of buckets: 3347
2005/04/03 10:10:06| Using 8192 Store buckets
2005/04/03 10:10:06| Max Mem  size: 131072 KB
2005/04/03 10:10:06| Max Swap size: 870400 KB
2005/04/03 10:10:06| Rebuilding storage in /var/spool/squid (DIRTY)
2005/04/03 10:10:06| Using Least Load store dir selection
2005/04/03 10:10:06| Set Current Directory to /var/spool/squid
2005/04/03 10:10:06| Loaded Icons.
2005/04/03 10:10:07| Accepting HTTP connections at 0.0.0.0, port 8080, FD 12.
2005/04/03 10:10:07| Accepting ICP messages at 0.0.0.0, port 3130, FD 14.
2005/04/03 10:10:07| Accepting SNMP messages on port 3401, FD 15.
2005/04/03 10:10:07| Outgoing SNMP messages on port 3401, FD 16.
2005/04/03 10:10:07| WCCP Disabled.
2005/04/03 10:10:07| Ready to serve requests.
2005/04/03 10:10:07| Store rebuilding is 14.5% complete
2005/04/03 10:10:07| Done reading /var/spool/squid swaplog (28188 entries)
2005/04/03 10:10:07| Finished rebuilding storage from disk.
2005/04/03 10:10:07|     28157 Entries scanned
2005/04/03 10:10:07|         0 Invalid entries.
2005/04/03 10:10:07|         0 With invalid flags.
2005/04/03 10:10:07|     28157 Objects loaded.
2005/04/03 10:10:07|         0 Objects expired.
2005/04/03 10:10:07|         0 Objects cancelled.
2005/04/03 10:10:07|        31 Duplicate URLs purged.
2005/04/03 10:10:07|         0 Swapfile clashes avoided.
2005/04/03 10:10:07|   Took 0.6 seconds (46167.9 objects/sec).
2005/04/03 10:10:07| Beginning Validation Procedure
2005/04/03 10:10:07|   Completed Validation Procedure
2005/04/03 10:10:07|   Validated 28126 Entries
2005/04/03 10:10:07|   store_swap_size = 782356k
2005/04/03 10:10:07| storeLateRelease: released 0 objects
Comment 6 Dan Hollis 2005-04-04 19:13:17 EDT
will this fix be rolled into an FC3 update?
Comment 7 Phil Anderson 2005-04-04 19:33:17 EDT
For what it's worth, I'm having major problems with squid-2.5.STABLE9-1.FC3.4. 
I'm runnning diskd with 3 directories.  Downgrading to squid-2.5.STABLE8-1.FC3.1
resolves the problems.

Comment 8 Jay Fenlason 2005-04-05 11:11:06 EDT
The -2GB patch from upstream breaks diskd.  An upstream developer is working 
on a revised patch.  As soon as it's avaliable, I'll build new updates for FC2 
(unless we've sent it to Fedora Legacy by then) and FC3.  The Squid rpms from 
FC4T1 predate the -2GB patch, so they're unaffected. 
Comment 9 Phil Anderson 2005-05-22 20:40:46 EDT
I think this can be closed. squid-2.5.STABLE9-1.FC3.6 fixes this problem for me.
Comment 10 Dan Hollis 2005-05-23 17:03:54 EDT
cross fingers, appears to work for me as well.

Note You need to log in before you can comment on or make changes to this bug.